`define INSN_LDHL_SP_IMM8		9'b011111000

`ifdef EXECUTE
	`INSN_LDHL_SP_IMM8: begin
		case (cycle)
		0:	begin
				`EXEC_INC_PC
			end
		1:	begin
				`EXEC_READ(`_PC)
			end
		2:	begin
				`EXEC_NEWCYCLE
				`EXEC_INC_PC
			end
		endcase
	end
`endif

`ifdef WRITEBACK
	`INSN_LDHL_SP_IMM8: begin
		case (cycle)
		2:	begin
				`_HL <= `_SP + {rdata[7] ? 8'hFF : 8'h00, rdata};
				`_F <= {
					2'b00,
					(({1'b0,`_SPL[3:0]} + {1'b0,rdata[3:0]}) & 5'h10) ? 1'b1 : 1'b0,
					(({1'b0,`_SPL} + {1'b0,rdata}) & 9'h100) ? 1'b1 : 1'b0,
					`_F[3:0]
					};
			end
		endcase
	end
`endif
